; ==============================================================================
; リモコンデータ定義
; テストデータ
; ==============================================================================
; ボタン数 2　～ 20(エクストラボタン含まず)
.equ BTN_NUM = 20
; エクストラボタン 0:無し 1:あり
.equ BTN_EXTRA = 1

	; データアドレステーブル
DATA_PTR:
	.dw ADDR(DATA_SAMPLE)	;  0	サンプルリモコンデータ
	.dw ADDR(DATA_TEST01)	;  1	TEST
	.dw ADDR(DATA_TEST02)	;  2	TEST
	.dw ADDR(DATA_TEST03)	;  3	TEST
	.dw ADDR(DATA_TEST04)	;  4	TEST
	.dw ADDR(DATA_TEST05)	;  5	TEST
	.dw ADDR(DATA_TEST06)	;  6	TEST
	.dw ADDR(DATA_TEST07)	;  7	TEST
	.dw ADDR(DATA_TEST08)	;  8	TEST
	.dw ADDR(DATA_TEST09)	;  9	TEST
	.dw ADDR(DATA_TEST10)	; 10	TEST
	.dw ADDR(DATA_TEST11)	; 11	TEST
	.dw ADDR(DATA_TEST12)	; 12	TEST
	.dw ADDR(DATA_TEST13)	; 13	TEST
	.dw ADDR(DATA_TEST14)	; 14	TEST
	.dw ADDR(DATA_TEST15)	; 15	TEST
	.dw ADDR(DATA_TEST16)	; 16	TEST
	.dw ADDR(DATA_TEST17)	; 17	TEST
	.dw ADDR(DATA_TEST18)	; 18	TEST
	.dw ADDR(DATA_TEST19)	; 19	TEST
	.dw ADDR(DATA_TEST20)	; 20	TEST

; ボタン識別デバッグ用データ
#define BIT0 _ON(20), _OFF(40), _OFF(40)
#define BIT1 _ON(10), _OFF(20), _ON(10), _OFF(60)

DATA_TEST00:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT0, BIT0, BIT0, _END
DATA_TEST01:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT0, BIT0, BIT1, _END
DATA_TEST02:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT0, BIT1, BIT0, _END
DATA_TEST03:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT0, BIT1, BIT1, _END
DATA_TEST04:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT1, BIT0, BIT0, _END
DATA_TEST05:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT1, BIT0, BIT1, _END
DATA_TEST06:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT1, BIT1, BIT0, _END
DATA_TEST07:	.db 0x7f, 0x11, 0x31, BIT0, BIT0, BIT1, BIT1, BIT1, _END
DATA_TEST08:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT0, BIT0, BIT0, _END
DATA_TEST09:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT0, BIT0, BIT1, _END
DATA_TEST10:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT0, BIT1, BIT0, _END
DATA_TEST11:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT0, BIT1, BIT1, _END
DATA_TEST12:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT1, BIT0, BIT0, _END
DATA_TEST13:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT1, BIT0, BIT1, _END
DATA_TEST14:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT1, BIT1, BIT0, _END
DATA_TEST15:	.db 0x7f, 0x11, 0x31, BIT0, BIT1, BIT1, BIT1, BIT1, _END
DATA_TEST16:	.db 0x7f, 0x11, 0x31, BIT1, BIT0, BIT0, BIT0, BIT0, _END
DATA_TEST17:	.db 0x7f, 0x11, 0x31, BIT1, BIT0, BIT0, BIT0, BIT1, _END
DATA_TEST18:	.db 0x7f, 0x11, 0x31, BIT1, BIT0, BIT0, BIT1, BIT0, _END
DATA_TEST19:	.db 0x7f, 0x11, 0x31, BIT1, BIT0, BIT0, BIT1, BIT1, _END
DATA_TEST20:	.db 0x7f, 0x11, 0x31, BIT1, BIT0, BIT1, BIT0, BIT0, _END

; サンプルデータ NEC 照明リモコン RL32 - CH1
DATA_SAMPLE:
	.db 0x15, 0x11, 0x31, _ON(16), _OFF(8), _BYTE(4), 0x82, 0x6D, 0x1A, 0xE5, _ON(1), _THRU(3), _ON(16), _OFF(8), _ON(1), _BACK(9)
